Summary: LinuxCOE SystemDesigner web interface
Name: systemdesigner
Version: devel
Release: 1.mdv2007.1
License: GPL
URL: http://linuxcoe.sourceforge.net/
Group: System/Configuration/Packaging
# Copyright: 2000-2007 Hewlett-Packard Development Company, L.P
# Original Packager: Louis Bouchard <louis.bouchard@hp.com>
#
# Source Section
#
Source: ftp://ftp.mondorescue.org/src/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildArch: noarch
Requires: php >= 4.0.4, perl, sudo, perl-CGI, httpd, mkisofs

%description
LinuxCOE SystemDesigner is a unifying web application that allows
a user to repeatably install, configure, and maintain different
Linux system installations. It's CGI-based interface provides means
to generate boot images for network or local media based installations,
save profiles that store custom installation preferences for later re-use,
and retrofit already deployed systems by overlaying other value-add components.


%prep
%setup -q

%build
# For the moment done here. Would be better to give it to pb. Needs discussion
export httpdcfgdir=/etc/httpd/conf.d
export docrootdir=/var/www/html
export httpd_user=apache
export httpd_group=apache
export sudoers_cfg=/etc/sudoers

# macro configure doesn't work. (Do not put a percent before the word)
./configure --prefix=/var/www/systemdesigner --sysconfdir=/etc/systemdesigner --localstatedir=%{_localstatedir} --mandir=%{_mandir}
make

%install
%{__rm} -rf %{buildroot}
make DESTDIR="$RPM_BUILD_ROOT" install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
cat > $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/LinuxCOE << EOF
%{_logdir}/* {
    create 640 apache apache
    rotate 4
    monthly
    missingok
    compress
    prerotate
        /etc/init.d/httpd closelogs > /dev/null 2>&1
    endscript
    postrotate
        /etc/init.d/httpd closelogs > /dev/null 2>&1
    endscript
}
EOF

%post
#
# Invoke post action script
#
make integrate

%preun
/var/www/systemdesigner/bin/post-actions -u -v

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# Done in postinstall
#%config /etc/httpd/conf.d
%config(noreplace) /etc/systemdesigner 
%config %{_sysconfdir}/logrotate.d
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_var}/cache/*
%{_logdir}/*
%{_localstatedir}/*
/var/www/systemdesigner
%changelog
